Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#54736 - [pacman] Drop -fstack-protector-strong from makepkg.conf as it'll be enabled in gcc by default

Attached to Project: Arch Linux
Opened by David McAdoo (geecroof) - Friday, 07 July 2017, 12:57 GMT
Last edited by Dave Reisner (falconindy) - Saturday, 05 January 2019, 17:05 GMT
Task Type Bug Report
Category Packages: Testing
Status Closed
Assigned To Dave Reisner (falconindy)
Bartłomiej Piotrowski (Barthalion)
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

As tool-chain rebuild is coming we could drop -fstack-protector-strong from makepkg.conf as it'll enabled by default in gcc

https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/pacman&id=0cd22d4454e0e1b3ae589b95274f808001465c15

https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/gcc&id=5936710c764016ce306f9cb975056e5b7605a65b

Additional info:
* package version(s)
pacman 5.0.2-2 [staging]
gcc 7.1.1-4 [staging]
This task depends upon

Closed by  Dave Reisner (falconindy)
Saturday, 05 January 2019, 17:05 GMT
Reason for closing:  Fixed
Additional comments about closing:  testing/pacman-5.1.2-2

Loading...